#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.RelativeVolume[] cacheRelativeVolume;

		
		public ChartSpots.RelativeVolume RelativeVolume()
		{
			return RelativeVolume(Input);
		}


		
		public ChartSpots.RelativeVolume RelativeVolume(ISeries<double> input)
		{
			if (cacheRelativeVolume != null)
				for (int idx = 0; idx < cacheRelativeVolume.Length; idx++)
					if ( cacheRelativeVolume[idx].EqualsInput(input))
						return cacheRelativeVolume[idx];
			return CacheIndicator<ChartSpots.RelativeVolume>(new ChartSpots.RelativeVolume(), input, ref cacheRelativeVolume);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.RelativeVolume RelativeVolume()
		{
			return indicator.RelativeVolume(Input);
		}


		
		public Indicators.ChartSpots.RelativeVolume RelativeVolume(ISeries<double> input )
		{
			return indicator.RelativeVolume(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.RelativeVolume RelativeVolume()
		{
			return indicator.RelativeVolume(Input);
		}


		
		public Indicators.ChartSpots.RelativeVolume RelativeVolume(ISeries<double> input )
		{
			return indicator.RelativeVolume(input);
		}

	}
}

#endregion
